Board index » delphi » BDE 4.51/ Installshield - thanks to all who helped

BDE 4.51/ Installshield - thanks to all who helped

Thanks to everyone who assisted in solving with the problems I had trying to
use these two pieces of software.

Why Inprise didn't leave native MSACESS alone and simply add MSACCESS97 as a
native driver to use DAO 3.5 is beyond me.

Why Installshield doesn't have a built in screen to let you look at which
version of DAO you want to use and then handle all the necessary install
issues to find them is also a mystery.

My best wishes also the numerous people who have contacted me saying they
too are having the same problems, if I can help at all please email.

 

Re:BDE 4.51/ Installshield - thanks to all who helped


Quote
On Sat, 25 Jul 1998 12:05:50 -0400, "Steve" <theva...@hotmail.com> wrote:
>Why Installshield doesn't have a built in screen to let you look at which
>version of DAO you want to use and then handle all the necessary install
>issues to find them is also a mystery.

InstallShield does not have the license to redistribute DAO as they please.
The responsibility of the licensed redistribution for DAO lies with you,
the developer. Since the BDE relies on DAO, I would imagine that it would
be necessary for INPRISE to change the specs of the Express product that
they want to have for the Delphi products, not InstallShield.

Stefan
InstallShield Software Corp.

Re:BDE 4.51/ Installshield - thanks to all who helped


Hi Stephan

    I was not suggesting that Installshield have to distribute DAO simply
that they offer a way to have the CNF file reflect those selections taken in
the BDE for the selected version of DAO for the specified project. It is
without doubt "our" responsibility to select the correct DAO on a machine.
My issue is that we should not have to manually change the CNF file, but the
Installshield process, which already asks several options for the BDE should
also ask about the version of DAO and allow us select from the options
already on the machine.

    I recently found that even though I built a project using DAO 3.5 and
installed DAO 3.5 on the target machine myself, Installshield continued to
install "pointers" to DAO 3.2 because I had not known I had to manually edit
the CNF file.

Surely, this is not beyond a reasonable request !!

Steve

Re:BDE 4.51/ Installshield - thanks to all who helped


Quote
On Mon, 27 Jul 1998 08:26:12 -0400, "Steve" <theva...@hotmail.com> wrote:
>My issue is that we should not have to manually change the CNF file, but the
>Installshield process, which already asks several options for the BDE should
>also ask about the version of DAO and allow us select from the options
>already on the machine.

You have to change the value only once, since Express fetches the value
from the prebuilt IDAPI32.CNF in its "Redist" directory.

Quote
>Surely, this is not beyond a reasonable request !!

However InstallShield releases Maintenance Releases for its registered
customers that will have the correct settings for the upgraded BDE. This
means that we will include the newest BDE object in the newest Maintenance
Release.

If you have a Custom Edition, InstallShield does not provide maintenance
releases for those.

Stefan
InstallShield Software Corp.

Other Threads